This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 182578 - Console messages (Xen?) corrupt X display, ATI. (Dirty like zebra)
Console messages (Xen?) corrupt X display, ATI. (Dirty like zebra)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 182207 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 09:48 EST by David Duffey
Modified: 2015-01-04 17:25 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:57:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dirty like zebra (212.10 KB, image/png)
2006-02-23 09:48 EST, David Duffey
no flags Details

  None (edit)
Description David Duffey 2006-02-23 09:48:05 EST
Description of problem:
Console messages cause X display to be corrupted.  It appears that most of my
console messages are from the Xen hyperviser.  See top left screenshot.

Version-Release number of selected component (if applicable):
Dell D600.
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf [FireGL
9000] (rev 01)
FC5Test3 Xorg server and also Xair server demonstrate the same thing.

How reproducible:
Every time.  I have not tried this without the Xen hypervisor kernel.

Steps to Reproduce:
1. Install FC5test3 using ATI xserver driver
2. Start X
3. Wait for / console messages and you'll see corruption in an area of the screen.
  
Actual results:
See screenshot, corruption happens somewhere on the screen.

Expected results:
Console messages should no be directly writing to video memory.

Additional info:
I suspect that this may not really be an ati issue.  This may need to be
re-assigned to Xen?
Comment 1 David Duffey 2006-02-23 09:48:05 EST
Created attachment 125104 [details]
dirty like zebra
Comment 2 Mike A. Harris 2006-03-01 03:18:36 EST
It sounds like Xen is writing console messages into video memory, which is
part of the video framebuffer when X has the current VT.  This sounds like
a kernel bug to me.

I've heard 2 or 3 people report this now, all on Radeon so far, however
it's possible it happens on other hardware too.  The Xen kernel does not
boot on my system, so I was unable to try to reproduce locally (bug #
CC'ing davej and ajax for other opinions first
Comment 3 Dave Jones 2006-03-02 00:00:40 EST
adding 'the usual suspects' for xen stuff to Cc:
Comment 4 Mike A. Harris 2006-03-07 00:52:56 EST
*** Bug 182207 has been marked as a duplicate of this bug. ***
Comment 5 Mike A. Harris 2006-03-07 00:56:15 EST
quintela,sct,riel:  Can you comment on this?
Comment 6 Stephen Tweedie 2006-03-07 14:19:05 EST
Only that yes, I've seen it on my own laptop (radeon mobility M6).  Have not
been able to investigate yet.
Comment 7 David Lawrence 2006-04-18 16:27:14 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 8 Mike A. Harris 2006-06-14 13:16:22 EDT
Reassigning to the kernel, as this appears to be a Xen kernel bug.
Comment 9 Stephen Tweedie 2006-06-19 18:18:44 EDT
Do you have any particular idea why this seems more kernel than X related?

Clearly it's triggered by the Xen kernel, but the symptoms only appear under X,
and only on one specific X driver.  We have several reports of Radeons behaving
badly in the same way, and none on any other hardware.  So it's either a bug in
the Radeon driver, or (very likely) some interaction between it and the Xen kernel.

But we really need X help to track this down; "corrupt display" is something
that has to be debugged from the X end, as there is simply no indication at all
here of where else the problem might be stemming from.
Comment 10 Mike A. Harris 2006-06-19 19:17:27 EDT
It appears the kernel is spewing console messages into video memory which
is part of the video framebuffer.  The X server isn't writing kernel messages
into video memory. ;)

Seriously though, this does sound like a kernel problem.  I've heard reports
in IRC of it happening on other hardware, but do not have any actual bug
reports to compare with.  I am currently trying to see if others have heard
similar reports.

Unfortunately, Xen kernels do not boot on my test machine so someone else
will have to attempt to reproduce this.  I plan on freeing up some space
on my test box soon to reinstall FC5, and I'd like to try Xen again, but
that wont be for a while yet.  If someone hasn't already reproduced this
by then, I'll give it another shot.

In the mean time, it would be useful if the people who can reproduce this
problem could test with the "vesa" driver and indicate wether the problem
still occurs, and also test with fbdev+radeon.

It would also be useful info if someone could toss an Nvidia card, or Matrox
or something else into the machine and attempt to reproduce the issue with
the native driver for that hardware, as well as "vesa" also.  The more
info there is to go on, the easier it will be for the X team and/or
kernel team to diagnose the cause.

TIA



(Removing self from CC as I already receive all bugs CC'd to xgl-maint)
Comment 11 Andy Burns 2006-06-20 18:03:52 EDT
seems very similar to what I BZ'ed at
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183341

though I didn't associate the red corrupt lines with console messages, they
seemed to happen as part of the "zoom up" effect of launching new apps in Gnome,
could have easily been SELINUX warnings or similar from the launch though ...



Comment 12 Dave Jones 2006-10-16 20:21:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 13 Dave Jones 2006-11-24 17:57:56 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.